problems with dropbox sync

I'm not able to sync with dropbox - E-Mail and password settings are correct but error (null) is shown! Any ideas?
By the way: can I upgrade to 1password 4.*.?
Thanks and best wishes
Bernd

Comments

  • Hi Bernd ( @jagoquatsch‌ ),

    I'm sorry to hear that you're having trouble getting things synced up right now. I'm sorry to hear that you're having trouble keeping things synced up lately. I've got a few basic things that we want to check regarding Dropbox first, before we get into the more serious troubleshooting:

    • Please ensure that Dropbox is installed and running on your computer
    • Check that you are logged in with the same account on all computers and devices
    • Confirm that Dropbox sync is selected in 1Password > Preferences > Sync on your Mac
    • Confirm that Dropbox is selected in Settings > Sync on your iOS device

    I'd also love to know the version numbers of both 1Password and your operating systems for all computers and devices currently running 1Password. :)

  • I have actually been having a very similar problem. I have 1Password3 (3.8.22) for Mac (10.9.4) which syncs with Dropbox without any issues. I also have 1Password for iPhone (3.7.2) and 1Password Pro (3.6.5) installed on my iPad. Neither my iPhone of my iPad have been able to sync with Dropbox for a very long time. Consequently, I have different data on my computer between three devices .

    This is the message that I get when I try to sync my iPad iOS (7.1.2)
    Failed to begin Dropbox synd. Unknown error; error = {"version 0 of the APl is not supported";}

    For my iPhone iOS (7.1.2) I pretty much get the same error as mentioned above Error: null

    I have verified my that the account information for Dropbox is correct on both devices. I'd appreciate any advice that you could offer. Thanks in advance

    /jab

  • Hi @GeeGee,

    I'm so sorry to hear that you're having trouble keeping things synced up lately! Unfortunately, the issue you are seeing is the result of a change that Dropbox made to their API. We've written a blog post that should answer most of your questions here: http://blog.agilebits.com/2013/08/08/1password-3-dropbox-sync-faq/

    But, the basic gist of things is this: due to these changes, 1Password 3 for iOS can no longer sync via Dropbox. Our new version is 1Password 4 for iOS has been built to work with Dropbox's latest and greatest sync technology. 1Password 4 for iOS has been for sale in the iTunes store since December, as a separate purchase from version 3 (the "old" and still supported version).  We did this because it's basically an entirely new application, built bigger, better, faster, and stronger.  It is also a universal app now, meaning you only require one purchase for all your iDevices associated with your Apple ID, using iOS 6 or greater. If the iOS device(s) you want to run 1Password on are running iOS 6+, the best solution is to move to 1Password 4 for iOS.

    You can check out 1Password 4 for iOS in the App Store:

    http://j.mp/1PasCS

    Once installed, just open 1Password 4 for iOS, tap that you have used 1Password before, then tap Sync with Dropbox.

    If you just need a way to backup your data to a Mac or PC for safe keeping, 1Password 3 for iOS has a nifty Backup & Restore option. 1Password can create an encrypted backup of your data file, and you can use a browser on a Mac or PC to copy that file to a place for safe keeping. Here’s our guide to get started with that:

    http://help.agilebits.com/1Password_touch/backup.html

  • So, are you saying that 1Password version 3 is no longer supported? I'm running a fast iMac with lots of RAM, but iPassword no longer synchs with my iPhone 5. Do you mean that it will never synch until I upgrade my entire operating system to OS X 10.8 or 10.9? If so, I think you owe me a free upgrade. Well, that's nasty, but still, I paid for the application for iMac and for iPhone and now it doesn't work. Please tell me what I must do to get synching working again between my iPhone 5 and my iMac running OS X 10.7.5.

    Thank you.

    Daly Jessup

  • Hi @daly,

    I apologize for the confusion! 1Password 3 is certainly still supported, and 1Password 3 for Mac should work wonderfully on your iMac running OS X 10.7.5. Unfortunately, due to the changes in Dropbox's API, as I mentioned above, 1Password 3 for iOS is no longer able to sync via Dropbox. All other aspects of 1Password 3 for iOS should still work fine.

    Now, you don't mention if you are using 1Password 3 on all devices, so I'll give you a few scenarios here to stay synced up:

    • If you are using both 1Password 3 for Mac and 1Password 3 for iOS, you can keep things in sync using Wi-Fi Sync.
    • If you have upgraded to 1Password 4 for iOS on your iPhone 5, you can keep 1Password 3 for Mac in sync with 1Password 4 for iOS using Dropbox, since 1Password 4 for iOS is built to work with Dropbox's latest and greatest API.

    So, if you would like to use Dropbox sync, you don't need to upgrade your entire system, just possibly your iOS app. The good news is that if you do want to upgrade, 1Password 4 for iOS is currently on sale! You can snag it in the the iOS App Store.

    I hope this helps, but we're here if you have any further questions or concerns!

This discussion has been closed.